/* =========================================================== */
/* ========================= HEADER ========================== */
/* =========================================================== */
/* PREHEADER */
#preheader { font-size: .9rem; display: flex;   margin-top: 1rem;}
#preheader nav { display: flex; align-items: center; justify-content: flex-end; margin: .05rem auto 0;width: 100%; padding-bottom: .2rem;}
#preheader nav ul { list-style: none; display: flex; align-items: center; gap: .75rem;}
#preheader nav ul li { display: flex; align-items: center; position: relative; }
#preheader nav ul li select { width: 1.5rem; }
#preheader nav ul li :is(picture, picture img) { position: absolute; top: 50%; left: 0; transform: translate(0%, -50%); width: 1.5rem; height: 1.5rem;  object-fit: cover; pointer-events: none;  border-radius: 50%;}
#preheader nav ul li a,
#preheader nav ul li button { background: none; border: 0; cursor: pointer; padding: 0; position: relative; display: flex; align-items: center; text-decoration: none;}
#preheader nav ul li a img { width: 1.5rem; height: 1.5rem; transition: 125ms;}
#preheader nav ul li a img:hover { filter: invert(61%) sepia(13%) saturate(3199%) hue-rotate(152deg) brightness(101%) contrast(110%);}
#preheader nav ul li .notification { position: absolute; top: -.4rem; right: -.5rem; background: var(--error-color); color: white; font-size: .6rem; width: 1rem; height: 1rem; border-radius: 50%; display: flex; align-items: center; justify-content: center;}
#preheader nav ul div:first-child {left: 0.25rem; position: relative;}
#preheader nav ul li:last-child {margin-left: 0.25rem;}

#preheader #search {display: flex; align-items: center; position: relative; z-index: 7;}
#preheader #search:has(input:focus) {transform: translateX(-0.4rem); transition: transform 125ms ease-in-out;}
#preheader #search:has(input:focus) input {background-position: calc(100% - 0.5rem) 55%;}
#preheader #search input {font-size: 0.9rem; width: 0rem; max-width: 25rem; background: transparent url('/p/img/search.svg') calc(100% - 0.25rem) 55% / 1.45rem auto no-repeat; height: 2.5rem; line-height: 2.5rem; padding: 0 2.25rem 0 1rem; border-color: transparent; font-weight: 300; cursor: pointer; border-radius: 1.6rem;}
#preheader #search input:hover:not(:focus) {filter: invert(61%) sepia(13%) saturate(3199%) hue-rotate(152deg) brightness(101%) contrast(110%);}
#preheader #search input:focus {width: 100%; cursor: text; outline: 1px solid var(--primary-color); background-color: white;}

/* HEADER */
header {background: var(--background-color); z-index: 5; position: sticky; width: 100%; top: 0; border-bottom: 1px solid rgba(0,0,0,0.05);}
header #brand { --logo-height: 8rem; height: calc(var(--logo-height) - 2rem);  font-size: 0.9rem; width: 100%; background: var(--background-color); top: 0; z-index: 3; text-transform: uppercase;}
header #brand .container {display: flex; justify-content: space-between; align-items: flex-end; }
header #brand .container > div {display: flex;}
header #brand #logo {margin-right: 1rem; position: relative; display: block;}
header #brand #logo img {display: block; height: var(--logo-height); margin: -2.85rem 0 0.3rem 0; max-width: initial; width: auto; border-radius: 0; padding: .4rem 0; transition: all 200ms;}
header #brand #logo img + img { width: 100%; height: auto; margin: 0; position: absolute; bottom: 1.6rem;  transform: translateY(-8rem); opacity: 0;}
header #brand #menutoggle {display: none; background: none; border: 0; cursor: pointer; margin-left: -0.5rem;}
header #brand #menutoggle span {display: block; width: 1.5rem; height: 2px; margin: 4px 0.5rem; background: var(--primary-color);}
header #brand ul {display: flex; align-items: center;}
header #brand ul.actions li {list-style: none; padding: 1rem 0 0.75rem 1rem;}
header #brand ul.actions li :is(a,button) {color: var(--main-color); text-decoration: none; position: relative;}
header #brand ul.actions li :is(a,button) img {width: 1.7rem; vertical-align: middle;}

header #nav {  margin-left: auto; z-index: 2; display: flex; align-items: center;}
header #nav > ul {list-style: none; display: flex; align-items: center;  font-size: 1rem;  margin-left: 0rem; }
header #nav > ul > li { display: flex; }
header #nav > ul > li a { padding: 1.25rem 0.9rem; text-decoration: none;}
header #nav ul li:not(.active) a { color: var(--main-color); }
header #nav > ul > li:hover a,
header #nav > ul > li a:hover { color: var(--primary-color);}

header #nav li { position: relative;}
header #nav li a:hover ~ ul.submenu, header #nav ul.submenu:hover {opacity: 1; pointer-events: all; transform: translateY(100%); transition: transform 0.25s ease-in-out, opacity 0.15s ease-in-out;}
header #nav ul.submenu { background: var(--background-color); position: absolute;  left: -.25rem; min-width: calc(100% + 3rem); opacity: 0; display: flex; flex-direction: column; align-items: flex-start;  white-space: nowrap; bottom: 5px; transform: translateY(calc(100% - 0.5rem)); box-shadow: 0rem 0rem 1rem rgba(0,0,0,.1); pointer-events: none; border-top: .2rem solid var(--primary-color);} 
header #nav ul.submenu::before {content: ""; position: absolute; top: -.2rem; left: 2.5rem; width: 0; height: 0; border-left: .4rem solid transparent; border-right: .4rem solid transparent; border-bottom: .4rem solid var(--primary-color); transform: translateY(-100%);}
header #nav ul.submenu li { display: flex; height: auto !important;   width: 100%; padding: 0;}
header #nav ul.submenu li a {padding: 0.75rem 1rem; display: block; width: 100%; transition: background-color 0.15s ease-in-out; color: var(--main-color); font-size: .9rem;}
header #nav ul.submenu li a:hover {background: var(--secondary-color); text-shadow: 0px 0px var(--main-color);}
header #nav ul.submenu li:not(:last-of-type) a { border-bottom: 1px solid rgba(0,0,0,0.05);}

header :is(nav,ul.actions) { margin-bottom: 0;}

header[data-scrolled=true] :is(nav,ul.actions) { margin-bottom: 0.5rem;}
header[data-scrolled=true] #brand #logo img { transform: translateY(-8rem); opacity: 0;}
header[data-scrolled=true] #brand #logo img + img { transform: translateY(0); opacity: 1;}

/* PAGE SUBMENU */
header button.more { display: none; }
header #page-submenu { height: 3rem; align-items: center; flex-wrap: wrap; overflow: auto; position: relative;  -ms-overflow-style: none; scrollbar-width: none;  border-top: 1px solid rgba(0,0,0,0.05); display: none;} 
header #page-submenu::-webkit-scrollbar { display: none; }
header #page-submenu ul { display: flex;  list-style: none; }
header #page-submenu ul > li {padding-right: 2rem; height: 3rem; line-height: 3rem; position: relative; white-space: nowrap; }
header #page-submenu ul > li > a { color: var(--main-color);  text-decoration: double; transition: .15s ease-in-out;  height: 3rem;  position: relative; display: block;  font-size: .9rem; opacity: 1;}
header #page-submenu ul > li.active > a { color: var(--primary-color);}
header #page-submenu ul:has(li.active) > li:not(.active) > a { opacity: .7;}

header #nav > .container > ul > li.active > a::after {
    content: "";
    height: 3px;
    position: absolute;
    bottom: 0;
    width: 100%;
    background: var(--background-color);
    left: 0;
    opacity: 1;
}
header #nav > .container > ul > li:not(.active) > a:hover {color: var(--disabled-color);}

/* --------------- BREADCRUMBS --------------- */
#breadcrumbs {font-size: 0.8rem; border-bottom: 1px solid rgba(0,0,0,0.05);}
#breadcrumbs ul {height: 2.5rem; display: flex; align-items: center; padding-bottom: 0.1rem;}
#breadcrumbs ul li {
    list-style: none; 
    padding-right: 0.5rem; 
    max-width: 20rem; 
    white-space: nowrap; 
    overflow: hidden; 
    text-overflow: ellipsis; 
    transition: opacity 125ms;
    position: relative;
}
#breadcrumbs ul li:not(:first-child) {padding-left: 0.9rem;}
#breadcrumbs ul li:has(a img) img {margin-top: 0.1rem;}
#breadcrumbs ul li::before {
    content: "›"; 
    display: inline-block; 
    position: absolute;
    left: 0;
    margin-top: -0.4rem;
    margin-right: 0.5rem; 
    font-size: 1.25rem;
}
#breadcrumbs ul li:first-child::before {content: none;}
#breadcrumbs ul li a { color: inherit; text-decoration: none;}
#breadcrumbs ul li:has(a:hover)  { opacity: 1;}
#breadcrumbs ul li a img {width: 0.8rem; vertical-align: middle;}

#preheader select { border: 0;  font-family: var(--primary-font);  line-height: 1.4;   color: var(--main-color); font-size: 0.9rem; padding: 0; margin: 0; cursor: pointer;}

.fullscreen.headerbar {min-height: 12rem; height: auto;} 
.fullscreen.headerbar > div {top: 0; height: 100%; position: absolute;}
.fullscreen.headerbar > div > div {padding-bottom: 1rem;}

@media only screen and (max-width: 500px) {
    .fullscreen > div > div > :nth-child(1) {font-size: 90%;}
    .fullscreen > div > div ul {display: none;}
    .fullscreen.headerbar {min-height: 8rem;} 
    .fullscreen.headerbar  > div > div h1 {font-size: 2rem;}
}

@media only screen and (max-width: 1100px) {
    header #brand ul li.management {display: none;}
}

@media only screen and (max-width: 1150px) {
    header {position: relative;}
    header #brand #menutoggle {display: block; height: 3rem; margin-top: 1.95rem; margin-left: 0.15rem;}
    header #page-submenu {  display: none; } 
    header #brand #search {height: 4rem; position: absolute; top: 4rem; width: 100%; z-index: 5; left: 0; background: var(--tertiary-color); display: flex; }
    header #brand #search form { width: 100%; padding-inline: 1rem;}
    header #brand #search input {width: 100%; border: 0;}
    header #brand #search button.x { display: none; }
    header #nav > .container > ul {display: block; height: 0; padding-top: 4.5rem;}
    header #nav { display: none; align-items: flex-start; position: absolute; left: 0; width: 100%; padding-bottom: 2rem; background: var(--background-color); z-index: 4; border-top: .2rem solid var(--primary-color); top: calc(6rem - 1px); box-shadow: 0rem 1rem 1rem rgba(0,0,0,.035);}
    header #nav::before {content: ""; position: absolute; top: -.2rem; left: 18.45rem; width: 0; height: 0; border-left: .4rem solid transparent; border-right: .4rem solid transparent; border-bottom: .4rem solid var(--primary-color); transform: translateY(-100%);}
    header #nav ul { display: flex; flex-direction: column; justify-content: flex-start; align-items: stretch; width: 100%;}
    header #nav ul li a {padding: .8rem 1.75rem;}
    header #nav ul li a:hover {background: var(--secondary-color); text-shadow: 0px 0px var(--main-color);}
    header #nav > ul > li {flex-direction: column;}
    header #nav ul li a {border-bottom: 1px solid rgba(0,0,0,0.05)!important;}
    header #nav > ul > li > ul > li > a {padding-left: 2.25rem!important;}
    header #nav ul.submenu {position: relative; left: 0; transform: none!important; opacity: 1; bottom: auto; box-shadow: none; pointer-events: all; border: 0;}
    header #nav ul.submenu::before {content: none;}
    header #subnav {margin-top: 0;}
    header #breadcrumbs {margin-top: 0;}
    header #nav > ul > li:hover a, header #nav > ul > li a:hover {color: var(--main-color);}
    
    .mobilemenu header #nav#nav { display: flex; }
    .mobilemenu header #nav > .container {position: absolute; left: 0; top: 4rem; z-index: 3; background: var(--primary-color); height: auto; width: 100%; padding-bottom: 2rem;}
    .mobilemenu header #nav > .container > ul {height: auto;}
    .mobilemenu header #nav > .container > ul > li > a { display: inline-block; }
    .mobilemenu header #nav > .container > ul > li > a + button { margin-left: .1em; display: inline-block; width: 1.1rem; color: var(--background-color);}
    .mobilemenu header #nav > .container > ul > li {height: auto;}
    .mobilemenu header #nav > .container > ul > li > div {display: block; position: relative; top: 0; background: transparent; padding: 1rem 1rem 0;}
    .mobilemenu header #nav > .container > ul > li > div .container {padding: 0;}
    .mobilemenu header #nav > .container > ul > li > div .container > div h3,
    .mobilemenu header #nav > .container > ul > li > div .container > div a {color: var(--background-color);}

    .mobilemenu header #brand #menutoggle span:nth-child(1) {position: absolute; transform: rotate(-45deg);}
    .mobilemenu header #brand #menutoggle span:nth-child(2) {position: absolute; transform: rotate(45deg);}
    .mobilemenu header #brand #menutoggle span:nth-child(3) {opacity: 0;}
    header #nav > .container > ul > li.hassubnav:hover::after {content: none;}
}

@media only screen and (max-width: 450px) {
    header #brand #menutoggle {margin-top: -0.6rem; margin-left: 0;}
    header {height: 3.6rem;}
    header #brand {--logo-height: 5.5rem;}
    header #brand ul.actions li {padding-top: 0.15rem;}
    #preheader {margin-top: 0.15rem;}
    #preheader nav ul {gap: 0.6rem; padding-right: 0.15rem;}
    header #brand:not(:has(#search)) {height: auto;}
    header #nav {top: calc(3.6rem - 1px);}
    header #nav#nav::before {left: 12.95rem}
    header #nav ul li a {padding-inline: 1.4rem;}
}


/* =========================================================== */
/* ========================= FOOTER ========================== */
/* =========================================================== */
footer {background: var(--main-color); color: var(--background-color);  padding: 2.5rem 0 0.5rem; margin-top: 6rem; padding-bottom: 0;}
footer .trustbar {position: relative; bottom: 2.5rem; border-bottom: 1px solid rgba(255,255,255,0.25);}
footer .trustbar ul li::before, footer .trustbar em {color: var(--background-color); }
footer .trustbar ul {padding: 0.5rem 0 0.3rem;}
footer .footer-social { width: 100% !important; }
footer .footer-social ul { display: flex; gap: 1rem; margin-top: 2rem; }
footer .footer-social ul img { width: 1.5rem; height: 1.5rem;  border-radius: 0;}
footer > .container {display: flex; flex-wrap: wrap; justify-content: space-between; padding-right: 4.75rem;}
footer > .container > div {flex-grow: 1; font-size: 0.9rem; width: 15rem;}
footer > .container > div.footer-tagline { margin: 0; font-size: var(--font-size-h2); line-height: 1.05; padding-right: 10rem; padding-bottom: 3rem; min-width: 21rem; width: 21rem;}
footer > .container > div h3 {margin-block: 0 0.5rem; font-size: 1.5rem;}
footer > .container > div ul {margin-bottom: 2rem;}
footer > .container > div ul li {list-style: none; line-height: 2;}
footer > .container > div ul li a {color: var(--background-color); text-decoration: none;}

#afterfooter {text-align: center; padding-bottom: 3rem; margin-top: 0.5rem;  font-size: 0.8rem; color: var(--main-color); clear: both; background: var(--background-color);}
#afterfooter .icons {border-bottom: 1px solid rgba(0,0,0,0.1); margin-bottom: 1.3rem;}
#afterfooter .icons img {display: inline-block; vertical-align: middle; margin: 0.8rem; border-radius: 0; width: auto; }